<template>
  <v-app>
    <default-bar />

    <default-drawer />

    <default-view />

    <!-- 我们这里先不使用footer相关的内容了
    <default-footer /> -->

    <default-settings />
  </v-app>
</template>

<script>
  export default {
    name: 'DefaultLayout',

    components: {
      DefaultBar: () => import(
        /* webpackChunkName: "default-app-bar" */
        './AppBar'
      ),
      DefaultDrawer: () => import(
        /* webpackChunkName: "default-drawer" */
        './Drawer'
      ),
      // DefaultFooter: () => import(
      //   /* webpackChunkName: "default-footer" */
      //   './Footer'
      // ),
      DefaultSettings: () => import(
        /* webpackChunkName: "default-settings" */
        './Settings'
      ),
      DefaultView: () => import(
        /* webpackChunkName: "default-view" */
        './View'
      ),
    },
  }
</script>
